## org.python.core
Class WrappedIterIterator<E>

    java.lang.Object
      org.python.core.WrappedIterIterator<E>

All Implemented Interfaces:
  Iterator<E>

    public abstract class WrappedIterIterator<E>

extends Object
implements Iterator<E>

Exposes a Python iter as a Java Iterator.

Constructor Summary
`WrappedIterIterator(PyObject iter)`

Method Summary
`PyObject` `getNext()`
`boolean` `hasNext()`
`abstract E` `next()` Subclasses must implement this to turn the type returned by the iter to the type expected by Java.
`void` `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedIterIterator

    public WrappedIterIterator(PyObject iter)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<E>`

### next

    public abstract E next()

  Subclasses must implement this to turn the type returned by the iter to the type expected by Java.

  Specified by:
    `next` in interface `Iterator<E>`

### getNext

    public PyObject getNext()

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<E>`

Jython homepage